procedure addcomment (image,comment)

# Script to append 'COMMENT' cards to the image header. 
# All existing 'COMMENT' cards are collated and moved to the end of
# the header, and the new card is added afterward.
#
# 930730: created by Mark Dickinson

string	image		{prompt="Image(s) to which to append comment card"}
string	comment		{prompt="Comment"}
bool	verify		{no,prompt="Verify header?"}
bool	answer		{yes,prompt="Update header?",mode="q"}
struct	*imglist

begin

	string 	im,com,inlist,headfile,img,check
	bool	setheader

	if (!verify) setheader = yes

	im = image
	com = comment
	inlist = mktemp("tmp$addc")
	sections (im,option="fullname",>inlist)
	imglist = inlist

	while (fscan(imglist,img) != EOF) {
		headfile = mktemp("_headerjj")
		hfix (img,command="!grep -v 'COMMENT =' $fname > "//headfile,update-)
		hfix (img,command="!grep 'COMMENT =' $fname >> "//headfile,update-)
		print("COMMENT = '",com,"'",>>headfile)
		if (verify) {
			print ("Comment cards currently read:")
			match ("COMMENT =",headfile,stop-,print+)
			if (answer) {
				setheader = yes
			   } else {
				setheader = no
				print ("Header will be left unchanged.")
			}
		}
		if (setheader) 
			hfix (img,command="delete $fname ver- ; copy "//headfile//" $fname",update+)
		delete (headfile,ve-)
	}

	delete (inlist,ver-)
	imglist = ""

end

