#
#imcombine @l_hhion hhion
#imcombine @l_khion khion
#imcombine @l_jhion jhion
#imcombine @l_jloon jloon
#imcombine @l_hloon hloon
#imcombine @l_kloon kloon
#
#imar khion / kloon khidivlo
#imar hhion / hloon hhidivlo
#imar jhion / jloon jhidivlo
#
#iterstat *hidivlo.fits
##IMAGE        MEAN     RMS         NPIX    MEDIAN   MODE
#hhidivlo.fits 1.962901 0.007448982 1041439 1.962677 1.96279
#jhidivlo.fits 1.960372 0.007922052 1041442 1.960526 1.96135
#khidivlo.fits 1.958461 0.006485879 1038781 1.957977 1.957864
#
#= 1.962901 - 5 * 0.007448982 
#= 1.962901 + 5 * 0.007448982 
#= 1.960372 - 5 * 0.007922052 
#= 1.960372 + 5 * 0.007922052 
#= 1.958461 - 5 * 0.006485879 
#= 1.958461 + 5 * 0.006485879 

imcopy hhidivlo.fits hbpm1.fits
imcopy jhidivlo.fits jbpm1.fits
imcopy khidivlo.fits kbpm1.fits

imreplace hbpm1 1.962901 lower=1.92565609 upper=2.00014591
imreplace hbpm1 0. lower=INDEF upper=1.92565609 
imreplace hbpm1 0. lower=2.00014591 upper=INDEF
imreplace jbpm1 1.960372 lower=1.92076174 upper=1.99998226
imreplace jbpm1 0. lower=INDEF upper=1.92076174
imreplace jbpm1 0. lower=1.99998226 upper=INDEF
imreplace kbpm1 1.958461 lower=1.926031605 upper=1.990890395
imreplace kbpm1 0. lower=INDEF upper=1.926031605
imreplace kbpm1 0. lower=1.990890395 upper=INDEF

imar hbpm1.fits / 1.962901 hbpm2.fits
imar jbpm1.fits / 1.960372 jbpm2.fits
imar kbpm1.fits / 1.958461 kbpm2.fits

imreplace hbpm2.fits 1. lower=0.98 upper=INDEF
imreplace jbpm2.fits 1. lower=0.98 upper=INDEF
imreplace kbpm2.fits 1. lower=0.98 upper=INDEF

imar hbpm2 * jbpm2 anybpm2
imar anybpm2 * kbpm2 anybpm2

# ?bpm2.fits have bp 0, goodpix 1
imcalc jbpm2,hbpm2,kbpm2 allbpm2.fits "if im1 .eq. 0 and im2 .eq. 0 and im3 .eq. 0 then 0 else 1"
##minv hbpm2.fits hbpm2inv.fits
##minv jbpm2.fits jbpm2inv.fits
##minv kbpm2.fits kbpm2inv.fits
##imar hbpm2inv.fits * jbpm2inv.fits allbpm2.fits
##imar allbpm2.fits * kbpm2inv.fits allbpm2.fits


#imcopy allbpm2.fits bpmkir98ii.pl


