# Package script task for the PHIIRS package

# Enter the correct pathname for the package directory,
# using the following format:

#set phiirs = /u/pathall/IRAF/phiirs/
set phiirs = /u/pathall/IRAF/PHIIRS12/

package phiirs

reset helpdb = (envget ("helpdb") // ",phiirs$helpdb.mip")

task    addcomment 	= phiirs$addcomment.cl
task    addring         = phiirs$addring.cl
task    c40ircfirst    	= phiirs$c40ircfirst.cl
task    cfhtfirst      	= phiirs$cfhtfirst.cl
task    crzap         	= phiirs$crzap.cl
task    crzap2         	= phiirs$crzap2.cl
task    destripe        = phiirs$destripe.cl
task    domeflat 	= phiirs$domeflat.cl
task    dophiirs        = phiirs$dophiirs.cl
task    fileroot 	= phiirs$fileroot.cl
task    first 		= phiirs$first.cl
task    imcoaddpars 	= phiirs$imcoaddpars.par
task    imflatpars 	= phiirs$imflatpars.par
task    imskypars 	= phiirs$imskypars.par
task    ircoadd 	= phiirs$ircoadd.cl
task    irflat 		= phiirs$irflat.cl
task    irimfirst 	= phiirs$irimfirst.cl
task    irrotate 	= phiirs$irrotate.cl
task    irshift 	= phiirs$irshift.cl
task    irshift2 	= phiirs$irshift2.cl
task    irsky 		= phiirs$irsky.cl
task    irtfcoadd 	= phiirs$irtfcoadd.cl
task    irtffirst 	= phiirs$irtffirst.cl
task    irtfphotscale 	= phiirs$irtfphotscale.cl
task    ispifirst       = phiirs$ispifirst.cl
task    iterstat 	= phiirs$iterstat.cl
task    look 		= phiirs$look.cl
task    look4m	 	= phiirs$look4m.cl
task    makeobjmask    	= phiirs$makeobjmask.cl
task    masklet        	= phiirs$masklet.cl
task    maskstat       	= phiirs$maskstat.cl
task    minv            = phiirs$minv.cl
task    mkbpm 		= phiirs$mkbpm.cl
task    mkdark 		= phiirs$mkdark.cl
task    mkflat          = phiirs$mkflat.cl
task    mkobjmask       = phiirs$mkobjmask.cl
task    myget 		= phiirs$myget.cl
task    nshift 		= phiirs$nshift.cl
task    nl_findcor 	= phiirs$nl_findcor.cl
task    onisfirst       = phiirs$onisfirst.cl
task    onis0302         = phiirs$onis0302.cl
task    onis0451         = phiirs$onis0451.cl
task    onis1358cn         = phiirs$onis1358cn.cl
task    onis1358s         = phiirs$onis1358s.cl
task    onis3ew         = phiirs$onis3ew.cl
task    onis6pt         = phiirs$onis6pt.cl
task    osirisfirst    	= phiirs$osirisfirst.cl
task    photcheck 	= phiirs$photcheck.cl
task    photcomp 	= phiirs$photcomp.cl
task    photscale 	= phiirs$photscale.cl
task    piscesfirst	= phiirs$piscesfirst.cl
task    precoadd 	= phiirs$precoadd.cl
task    qkflat 		= phiirs$qkflat.cl
task    qksky           = phiirs$qksky.cl
task    sctv            = phiirs$sctv.cl
task    sigmanorm       = phiirs$sigmanorm.cl
task    sqiidfirst      = phiirs$sqiidfirst.cl
task    subpattern      = phiirs$subpattern.cl
task    tplpars         = phiirs$tplpars.par
task    tpl             = phiirs$tpl.cl
task    trim            = phiirs$trim.cl
task    $untrim         = phiirs$untrim.cl
task    xlist 		= phiirs$xlist.cl

clbye()

